<?php

namespace app\model;

use support\Model;

class SysDept extends Model
{
    // 关联表
    protected $table = 'sys_dept';

    protected $primaryKey = 'dept_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'dept_addtimes';

    const UPDATED_AT = null;

    /**
     * @Desc 获取子部门
     * @Author Gorden
     * @Date 2024/3/7 14:03
     *
     * @param $path
     * @return array
     */
    public static function getAllSubDept($path)
    {
        return self::where('dept_super_path', 'like', $path . '%')->get()->toArray();
    }
}